Bug 77761 - EDITING: Calc locks up when copying a range of cells to entire column.
Summary: EDITING: Calc locks up when copying a range of cells to entire column.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2014-04-22 10:40 UTC by Fritz Lang
Modified: 2020-07-28 04:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fritz Lang 2014-04-22 10:40:00 UTC
Perform these steps:
1. Using the keyboard, mark cells Q1:Q14
2. Press Ctrl+C to copy
3. Click the column header "R"
4. Press Ctrl+V to paste. LibreOffice will now lock up.
When I do the correct thing by clicking cell R1 in Step 3 then there is no problem.
Comment 1 retired 2014-04-22 11:16:27 UTC
Is this bug still valid / reproducible with the latest LO release?  Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.
Comment 2 Fritz Lang 2014-04-22 12:20:53 UTC
Upgrading to 4.2.3 made no difference. The application still locks up.
Forcing a new profile to be created made no difference either.
Comment 3 m.a.riosv 2014-04-22 22:51:14 UTC
I can't reproduce in a file from scratch, with:
Win7x64Ultimate
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
Versión: 4.2.3.3 Id. de compilación: 882f8a0a489bc99a9e60c7905a60226254cb6ff0

Please Fritz, happens with all files or specific one?
Comment 4 Fritz Lang 2014-04-23 09:21:32 UTC
I am running Windows 7 Ultimate.
I can reproduce the problem with any file (new or existing).
Here is the description again, this time more specifically:
1. Put data into cells:
   A1 = 1
   A2 = A
   A3 = 2
   A4 = B
   (the problem does not occur when putting just numbers into the cells)
2. Mark cells A1:A4 with the keyboard.
3. Press Ctrl+C to copy.
4. Click column header B (not cell B1 but the column header!)
5. Press Ctrl+V to paste. The application locks up.
Cheers
Fritz
Comment 5 m.a.riosv 2014-05-03 22:04:05 UTC
Sorry Fritz, maybe I deleted the mail by mistake.

Now with data in the copied range I can reproduce the issue.
If you have data only in A1 the copy works, copying the data up to row 1048576, if in data source are more the one data, I have been waiting for about ten minutes, with the processor at maximum use.

Reproducible:
Win7x64Ultimate
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
Version: 4.2.4.1 Build ID: d4c441391e20647b3d2e8dde4d20aa868e77e515
Version: 4.3.0.0.alpha1+ Build ID: 0b03f7ed575838f90e6b1ebec3538a3a214f81fb
   TinderBox: Win-x86@39, Branch:master, Time: 2014-04-30_01:30:46
Comment 6 Raphael 2014-05-22 08:04:08 UTC
Same problem for me since 4.2 releases (even the last 4.2.4.2)

Each time I select 2 entire lines and I right-click to change height, Calc slows down. With more lines it's slower and slower.
The size of the file is not the problem.

The worst is a select-all and then change the font for all the spreadsheet
--> really slow to operate (1 minute or more) and the lag lasts till I exit Calc, there's no other way to get it fixed (save and exit each time...)

I tried with Linux and Windows 7, I have the same problem.
Comment 7 m.a.riosv 2014-05-23 23:08:58 UTC
Please Raphael, open a new reports for the issue changing row height and changing the font.

In any case, I can't reproduce the issue with row height, neither change the font, with Win7x64+Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Please try resetting the user profile before report the new bugs.
https://wiki.documentfoundation.org/UserProfile

Also it's not too much fine change the font in this way, you are giving a direct format for the all cells in the sheet, it's always better use styles, maybe you only need to change the font for default style to achieve what you want.
Comment 8 Raphael 2014-05-26 08:23:38 UTC
(In reply to comment #7)
> Please Raphael, open a new reports for the issue changing row height and
> changing the font.
> 
> In any case, I can't reproduce the issue with row height, neither change the
> font, with Win7x64+Version: 4.2.4.2 Build ID:
> 63150712c6d317d27ce2db16eb94c2f3d7b699f8
> Please try resetting the user profile before report the new bugs.
> https://wiki.documentfoundation.org/UserProfile
> 
> Also it's not too much fine change the font in this way, you are giving a
> direct format for the all cells in the sheet, it's always better use styles,
> maybe you only need to change the font for default style to achieve what you
> want.

Thanks, I didn't think to work this way (styles to change font).
This works really better.

I'll open a new bug if this persists in the new 4.3 beta.
Comment 9 QA Administrators 2015-06-08 14:43:10 UTC Comment hidden (obsolete)
Comment 10 Fritz Lang 2015-06-08 15:22:45 UTC
The bug persists in Calc 4.3.7.2 and is consistently reproducible.
Comment 11 QA Administrators 2016-09-20 10:02:09 UTC Comment hidden (obsolete)
Comment 12 m.a.riosv 2016-09-21 22:54:19 UTC
Still same behavior.
Win10x64
Version: 5.2.2.1 (x64)
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: group
Comment 13 QA Administrators 2018-07-28 02:43:30 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2020-07-28 04:47:15 UTC
Dear Fritz Lang,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug